{% extends 'base.html.twig' %}

{% block title %}Ankieta!{% endblock %}

{% block body %}
<div class="container">
	{% for message in app.flashes('success') %}
	    <div class="flash-notice">
	        {{ message }}
	    </div>
	{% endfor %}
	Udzielone odpowiedzi:
	<div class="responsive-table">
		<table class="table table-bordered table-stripped">
			<thead>
				<tr>
					<th>Imię</th>
					<th>Nazwisko</th>
					<th>Wiek</th>
					<th>Data wypełnienia</th>
					<th><a href="{{ path('poll')}}" class="btn btn-info">Uzupełnij ankietę</a><a href="{{ path('app_logout') }}" class="ml-4 btn btn-secondary">Wyloguj się</a></th>
				</tr>
			</thead>	
			<tbody>
				{% for poll in polls %}
					<tr>
						<td>{{ poll.firstName }}</td>
						<td>{{ poll.lastName }}</td>
						<td>{{ poll.age }}</td>
						<td>{{ poll.finishedAt ? poll.finishedAt | date('d-m-Y H.i') : "" }}</td>
						<td>
							{% if poll.finishedAt %}
								<a href="{{ path('poll_delete', {'id': poll.id}) }}" class="btn btn-danger">Usuń wpis</a>
							{% else %} 
								<a href="{% if poll.firstName and poll.lastName %}{{ path('poll_complete', {'id': poll.id}) }}{% else %}{{ path('poll', {'id': poll.id}) }}{% endif %}" class="btn btn-warning">Dokończ ankietę</a>
							{% endif %}
						</td>
					</tr>
				{% else %}
					<tr>
						<td colspan="5">Brak wpisów</td>
					</tr>
				{% endfor %}
			</tbody>
		</table>
	</div>
</div>
{% endblock %}
